% Maximus 2.0x infomenu..
% feel free to include this into your Menus.CTL
%
% Based on Scott Dudley's MAIN menu for Maximus CBCS
%

Menu INFO
        %
        % This option defines what the name of the menu will look like
        % on-screen, to the user.  This doesn't necessarily have to be
        % the same name as you specified above.

        Title           USER/System INFO

        % This option is used to specify a "type" for each menu.  These
        % menu types cause Maximus to display certain information before
        % the "Select:" prompt, such as the message area banner, the
        % information screen for the C)hange menu, and so on.  The
        % following MenuHeaders are supported by Maximus:
        %
        %       MenuHeader Message:   Displays a "Msg.area xx .. Description"
        %                             status line before each prompt.
        %
        %       MenuHeader File:      Displays a "File area yy .. Description"
        %                             status line before each prompt.
        %
        %       MenuHeader Change:    Displays the user's current settings,
        %                             which is usually what you'd find at
        %                             the C)hange Setup menu.

        MenuHeader      None

        % This next option defines a customized *.BBS file to display
        % _instead_ of the canned, Max-generated menu.  The file you
        % specify will be shown to callers who enter this menu whenever
        % the menu options would normally be displayed.  If no
        % file is given, Max will generate the menu on its own.
        %
        % This file can contain any of the special MECCA tokens that
        % you can use in a normal .MEC file.
        %
        % If you specify a MenuFile, it will be enabled for all help
        % levels by default.  However, if you wish to enable the
        % menu for certain help levels only (such as NOVICE and
        % REGULAR), simply add the names of the levels after the
        % filename.  For example, "MenuFile Misc\MenuMain Novice"
        % would show the MenuFle to novice callers only, and
        % the Max-generated menu would be shown to everyone else.
        % See the Max TechRef manual for more information on this
        % option.
        %
        % Maximus can also display a HeaderFile for each menu.
        % Please see the TechRef Manual for more information.

%       MenuFile        E:\Max\Misc\MenuUser

        % If you are using the customized .BBS MenuFile, then you must
        % tell Maximus how many lines on your screen that your custom
        % file takes.  If this value is not specified, or if it is incorrect,
        % then you will have problems with messages being scrolled off the
        % top of your screen because of your customized menufile.

%       MenuLength      14

        % This option is also only applicable if you're using a custom
        % *.BBS menufile.  As expected, if a user presses a key in the
        % middle of the menu with HOTFLASH turned on, the menu will abort
        % it's display, and jump to the option selected.  However, if
        % your *.BBS file has a coloured background, this operation may
        % cause the background to bleed into the rest of the screen.  The
        % solution is to specify an AVATAR colour number here, which will
        % be displayed BEFORE printing the key the user selected.  Normally,
        % this colour should have the background set to black, or whatever
        % colour your screen normally is.  An index of the AVATAR colour
        % codes (and their corresponding colours) can be found in the
        % MAX_REF.PRN manual.

%       MenuColour      15

        % This section of the control file defines the available
        % commands for this menu.

        % The name of the COMMAND to perform is in the left column.
        % This tells Maximus what it should do when this option is
        % selected.  Examples of commands are "Goodbye",
        % "Display_File" and "Msg_Browse".
        %
        % Following the command is an optional argument; some
        % commands need arguments, but others don't.  If the argument
        % contains any spaces (such as would a DOS command line),
        % then make sure to replace them with underscores, which will
        % get translated back into spaces when the menu is read back
        % in.  The only common commands which use arguments are
        % Display_File, Display_Menu and Area_Change.
        %
        % After the argument is that command's access level.  This
        % access level consists of a privilege level and an optional
        % set of keys.  A user will only be able to select that
        % option if his/her priv level is equal to or higher than the
        % specified level.  In addition, if you wish to restrict a
        % command to users which carry certain keys, simply place a
        % slash and a list of key numbers/letters after the privilege
        % level.  For example, to restrict a command so that only
        % Normal-level users with keys 1 and C can access a command,
        % use a priv level of "Normal/1C".
        %
        % Following the priv level is the command description.  This
        % description will be used when creating NOVICE-level menus,
        % and the first letter of that command will be used as the
        % selection character, so make sure that each command has a
        % unique first character.

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Display_Menu    Main%Y                     Twit "MAIN Menu"

        % The above three options tell Maximus to chain to a different
        % *.Mnu file, whose name is specified as an argument.  Please
        % make sure NOT to include a path before the name of your menu,
        % since Maximus will add that according to the currently-defined
        % menu path.

        Goodbye                                    Twit "Goodbye (log off)"
        Statistics                             Disgrace "Statistics"
        Userlist                                Limited "UserList"
        Version                                Disgrace "Version of BBS"

        Xtern_Dos   MaintTp.Bat_1              Disgrace "1 Download Top Ten"
        Xtern_Dos   MaintTp.Bat_2              Disgrace "2 Upload Top Ten"
        Xtern_Dos   MaintTp.Bat_3              Disgrace "3 Ratio Ul/Dl"
        Xtern_Dos   MaintTp.Bat_4              Disgrace "4 Ratio Dl/Ul"
        Xtern_Dos   MaintTp.Bat_5              Disgrace "5 Daily Dl Top Ten"
        Xtern_Dos   MaintTp.Bat_6              Disgrace "6 Daily Ul Top Ten"
        Xtern_Dos   MaintTp.Bat_7              Disgrace "7 Callers Top Ten"
        Xtern_Dos   MaintTp.Bat_8              Disgrace "8 DL-Ul Top Ten"
        Xtern_Dos   MaintTp.Bat_9              Disgrace "9 Personal Statistics"
        Xtern_Dos   MaintTp.Bat_0              Disgrace "0 System Statistics"

        Display_File    E:\Max\Hlp\InfoHelp    Disgrace "?help"

End Menu

